import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
import { AwsCredentialsConfig } from '../../types/types.js';
export type LocalAwsProfileConfig = {
    profileName: string;
};
declare class LocalAwsProfile extends AwsCredentialsType implements LocalAwsProfileConfig {
    profileName: string;
    constructor(props: LocalAwsProfileConfig);
    static isLocalAwsProfile(credentials: AwsCredentialsConfig): boolean;
    static fromJson(object: LocalAwsProfileConfig): LocalAwsProfile;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { LocalAwsProfile };
